package com.chenyang.druid.sql.dialect.es.ast;

import org.antlr.v4.runtime.tree.AbstractParseTreeVisitor;

public class EsParserBaseVisitor<T> extends AbstractParseTreeVisitor<T> implements EsParserVisitor<T> {
   public T visitStatement(EsParser.StatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitOtherStatement(EsParser.OtherStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatement(EsParser.CreateIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatementBody(EsParser.CreateIndexStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatementAliases(EsParser.CreateIndexStatementAliasesContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatementSettings(EsParser.CreateIndexStatementSettingsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatementMeta(EsParser.CreateIndexStatementMetaContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatementMappings(EsParser.CreateIndexStatementMappingsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateIndexStatementMappingsType(EsParser.CreateIndexStatementMappingsTypeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateIndexStatement(EsParser.UpdateIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateMappingStatementBody(EsParser.UpdateMappingStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDeleteIndexStatement(EsParser.DeleteIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCloseIndexStatement(EsParser.CloseIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitOpenIndexStatement(EsParser.OpenIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitShrinkIndexStatement(EsParser.ShrinkIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCloneIndexStatement(EsParser.CloneIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRolloverIndexStatement(EsParser.RolloverIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUnfreezeIndexStatement(EsParser.UnfreezeIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFreezeIndexStatement(EsParser.FreezeIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitResloveIndexStatement(EsParser.ResloveIndexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataRenderStatement(EsParser.QueryDataRenderStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataSearchShardsStatement(EsParser.QueryDataSearchShardsStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlMappingProperties(EsParser.DdlMappingPropertiesContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlMappingPropertiesDynamic(EsParser.DdlMappingPropertiesDynamicContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlMappingPropertiesDynamicTemplates(EsParser.DdlMappingPropertiesDynamicTemplatesContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlMappingPropertiesAll(EsParser.DdlMappingPropertiesAllContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlMappingPropertiesDefine(EsParser.DdlMappingPropertiesDefineContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlFieldDecl(EsParser.DdlFieldDeclContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlField(EsParser.DdlFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDdlFieldType(EsParser.DdlFieldTypeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQuerySchemaStatement(EsParser.QuerySchemaStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQuerySchemaStatementALL(EsParser.QuerySchemaStatementALLContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQuerySchemaStatementIndex(EsParser.QuerySchemaStatementIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatement(EsParser.BulkStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementBody(EsParser.BulkStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementCreate(EsParser.BulkStatementCreateContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementDelete(EsParser.BulkStatementDeleteContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementIndex(EsParser.BulkStatementIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementUpdate(EsParser.BulkStatementUpdateContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementDoc(EsParser.BulkStatementDocContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementDocItemSource(EsParser.BulkStatementDocItemSourceContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementDocItem(EsParser.BulkStatementDocItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementDocItemField(EsParser.BulkStatementDocItemFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementFields(EsParser.BulkStatementFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementScript(EsParser.BulkStatementScriptContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementIndexPart(EsParser.BulkStatementIndexPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBulkStatementIdPart(EsParser.BulkStatementIdPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatement(EsParser.QueryDataStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementById(EsParser.QueryDataStatementByIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGET(EsParser.QueryDataStatementMGETContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETBody(EsParser.QueryDataStatementMGETBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocs(EsParser.QueryDataStatementMGETDocsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDoc(EsParser.QueryDataStatementMGETDocContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocId(EsParser.QueryDataStatementMGETDocIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocIndex(EsParser.QueryDataStatementMGETDocIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocType(EsParser.QueryDataStatementMGETDocTypeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocSource(EsParser.QueryDataStatementMGETDocSourceContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocSourceBoolean(EsParser.QueryDataStatementMGETDocSourceBooleanContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocSourceArr(EsParser.QueryDataStatementMGETDocSourceArrContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocSourceObj(EsParser.QueryDataStatementMGETDocSourceObjContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocIncldue(EsParser.QueryDataStatementMGETDocIncldueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETDocExclude(EsParser.QueryDataStatementMGETDocExcludeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETStoredFields(EsParser.QueryDataStatementMGETStoredFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMGETIds(EsParser.QueryDataStatementMGETIdsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMSearch(EsParser.QueryDataStatementMSearchContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMSearchBody(EsParser.QueryDataStatementMSearchBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementMSearchEmpty(EsParser.QueryDataStatementMSearchEmptyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementCount(EsParser.QueryDataStatementCountContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementCountBody(EsParser.QueryDataStatementCountBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementTermsEnum(EsParser.QueryDataStatementTermsEnumContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementTermsEnumBody(EsParser.QueryDataStatementTermsEnumBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementTermsEnumField(EsParser.QueryDataStatementTermsEnumFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementTermsEnumValue(EsParser.QueryDataStatementTermsEnumValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementExplain(EsParser.QueryDataStatementExplainContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementExplainBody(EsParser.QueryDataStatementExplainBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementFieldCaps(EsParser.QueryDataStatementFieldCapsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementFieldCapsBody(EsParser.QueryDataStatementFieldCapsBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementFieldCapsBodyIndexFiter(EsParser.QueryDataStatementFieldCapsBodyIndexFiterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEval(EsParser.QueryDataStatementRankEvalContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalBody(EsParser.QueryDataStatementRankEvalBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRequests(EsParser.QueryDataStatementRankEvalRequestsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRequestBody(EsParser.QueryDataStatementRankEvalRequestBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRequest(EsParser.QueryDataStatementRankEvalRequestContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRatings(EsParser.QueryDataStatementRankEvalRatingsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRating(EsParser.QueryDataStatementRankEvalRatingContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRatingIndex(EsParser.QueryDataStatementRankEvalRatingIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementRankEvalRatingId(EsParser.QueryDataStatementRankEvalRatingIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearch(EsParser.QueryDataStatementSearchContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBody(EsParser.QueryDataStatementSearchBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyDocValueFields(EsParser.QueryDataStatementSearchBodyDocValueFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldExpr(EsParser.FieldExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitField(EsParser.FieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldString(EsParser.FieldStringContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldObj(EsParser.FieldObjContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyStoredFields(EsParser.QueryDataStatementSearchBodyStoredFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyIndicesBoost(EsParser.QueryDataStatementSearchBodyIndicesBoostContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyIndicesBoostItem(EsParser.QueryDataStatementSearchBodyIndicesBoostItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyIndexTypes(EsParser.QueryDataStatementSearchBodyIndexTypesContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyIndex(EsParser.QueryDataStatementSearchBodyIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyType(EsParser.QueryDataStatementSearchBodyTypeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyRuntimeMappings(EsParser.QueryDataStatementSearchBodyRuntimeMappingsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyRuntimeMappingObj(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyRuntimeMappingObjFieldExpr(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjFieldExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyRuntimeMappingObjFieldExprType(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjFieldExprTypeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyRuntimeMappingObjFieldExprScript(EsParser.QueryDataStatementSearchBodyRuntimeMappingObjFieldExprScriptContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyRuntimeMappingsArr(EsParser.QueryDataStatementSearchBodyRuntimeMappingsArrContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRunTimeMappingFieldExprs(EsParser.RunTimeMappingFieldExprsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRuntimeMappingField(EsParser.RuntimeMappingFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyQuery(EsParser.QueryDataStatementSearchBodyQueryContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyFields(EsParser.QueryDataStatementSearchBodyFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyAgg(EsParser.QueryDataStatementSearchBodyAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodyAggBody(EsParser.QueryDataStatementSearchBodyAggBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchSort(EsParser.QueryDataStatementSearchSortContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSortField(EsParser.SortFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryDataStatementSearchBodySource(EsParser.QueryDataStatementSearchBodySourceContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldExpr(EsParser.SourceFieldExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldBoolenExpr(EsParser.SourceFieldBoolenExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldWildcardPatternExpr(EsParser.SourceFieldWildcardPatternExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldObjectExpr(EsParser.SourceFieldObjectExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldIncludeExpr(EsParser.SourceFieldIncludeExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldExcludeExpr(EsParser.SourceFieldExcludeExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitInsertDataStatement(EsParser.InsertDataStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitInsertDataStatementForm1(EsParser.InsertDataStatementForm1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitInsertDataStatementForm2(EsParser.InsertDataStatementForm2Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateDataStatement(EsParser.UpdateDataStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateDataStatementById(EsParser.UpdateDataStatementByIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateDataStatementPart1(EsParser.UpdateDataStatementPart1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateDataStatementPart2(EsParser.UpdateDataStatementPart2Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateDataStatementByQuery(EsParser.UpdateDataStatementByQueryContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUpdateDataStatementByQueryBody(EsParser.UpdateDataStatementByQueryBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDeleteDataStatement(EsParser.DeleteDataStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDeleteDataByIdStatement(EsParser.DeleteDataByIdStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDeleteDataByQueryStatement(EsParser.DeleteDataByQueryStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCuDataStatementBody(EsParser.CuDataStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCuDataStatementValue(EsParser.CuDataStatementValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCuDataStatementObjValue(EsParser.CuDataStatementObjValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCuDataStatementArrayValue(EsParser.CuDataStatementArrayValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCuDataStatementObjValuePair(EsParser.CuDataStatementObjValuePairContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCuDataStatementFieldScript(EsParser.CuDataStatementFieldScriptContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryBody(EsParser.QueryBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryFilter(EsParser.QueryFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitComboundFilter(EsParser.ComboundFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitNsetedFilter(EsParser.NsetedFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitNsetedFilterItem(EsParser.NsetedFilterItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitNsetedFilterItemPath(EsParser.NsetedFilterItemPathContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBoostingFilter(EsParser.BoostingFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBoostingFilterBody(EsParser.BoostingFilterBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitHasChildFilter(EsParser.HasChildFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitHasParentFilter(EsParser.HasParentFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitParentIdFilter(EsParser.ParentIdFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBoolFilter(EsParser.BoolFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMustFilter(EsParser.MustFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMustFilterN(EsParser.MustFilterNContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMustFilter1(EsParser.MustFilter1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterFilter(EsParser.FilterFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterFilterN(EsParser.FilterFilterNContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterFilter1(EsParser.FilterFilter1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitShouldFilter(EsParser.ShouldFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitShouldFilterN(EsParser.ShouldFilterNContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitShouldFilter1(EsParser.ShouldFilter1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitConstantScoreFilter(EsParser.ConstantScoreFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDismaxFilter(EsParser.DismaxFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDismaxFilterQueriesBody(EsParser.DismaxFilterQueriesBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDismaxFilterQueriesBodyItems(EsParser.DismaxFilterQueriesBodyItemsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFunctionScoreFilter(EsParser.FunctionScoreFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafFilter(EsParser.LeafFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafMatchAllFilter(EsParser.LeafMatchAllFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafMatchNoneFilter(EsParser.LeafMatchNoneFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafMatchFilter(EsParser.LeafMatchFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilter(EsParser.IntervalFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleAnyOf(EsParser.IntervalFilterRuleAnyOfContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleAllOf(EsParser.IntervalFilterRuleAllOfContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleMatch(EsParser.IntervalFilterRuleMatchContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleMatchQuery(EsParser.IntervalFilterRuleMatchQueryContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleMatchUseField(EsParser.IntervalFilterRuleMatchUseFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRulePrefix(EsParser.IntervalFilterRulePrefixContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRulePrefixPrefix(EsParser.IntervalFilterRulePrefixPrefixContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleWildcard(EsParser.IntervalFilterRuleWildcardContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleWildcardPattern(EsParser.IntervalFilterRuleWildcardPatternContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleFuzzy(EsParser.IntervalFilterRuleFuzzyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleFilter(EsParser.IntervalFilterRuleFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterRuleInterval(EsParser.IntervalFilterRuleIntervalContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterItem(EsParser.IntervalFilterItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalItem(EsParser.IntervalFilterIntervalItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalRuleAnyOf(EsParser.IntervalFilterIntervalRuleAnyOfContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalRuleAllOf(EsParser.IntervalFilterIntervalRuleAllOfContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalRuleMatch(EsParser.IntervalFilterIntervalRuleMatchContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalRulePrefix(EsParser.IntervalFilterIntervalRulePrefixContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalRuleWildcard(EsParser.IntervalFilterIntervalRuleWildcardContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIntervalFilterIntervalRuleFuzzy(EsParser.IntervalFilterIntervalRuleFuzzyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterMatch(EsParser.FilterMatchContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterMatchBoolPrefix(EsParser.FilterMatchBoolPrefixContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterMatchPhrase(EsParser.FilterMatchPhraseContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterMatchPhrasePrefix(EsParser.FilterMatchPhrasePrefixContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterCombinedFields(EsParser.FilterCombinedFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterMultiMatch(EsParser.FilterMultiMatchContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterCommon(EsParser.FilterCommonContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterQueryString(EsParser.FilterQueryStringContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterSimpleQueryString(EsParser.FilterSimpleQueryStringContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafTermFilter(EsParser.LeafTermFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterExists(EsParser.FilterExistsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterFuzzy(EsParser.FilterFuzzyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldFuzzyExactFilter(EsParser.FieldFuzzyExactFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterTermFilter(EsParser.FilterTermFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterIds(EsParser.FilterIdsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterPrefix(EsParser.FilterPrefixContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRangeFilter(EsParser.RangeFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRangeFilterGT(EsParser.RangeFilterGTContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRangeFilterLT(EsParser.RangeFilterLTContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRegexpFilter(EsParser.RegexpFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilter(EsParser.TermsFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterField1(EsParser.TermsFilterField1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldN(EsParser.TermsFilterFieldNContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldNItem(EsParser.TermsFilterFieldNItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterField(EsParser.TermsFilterFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldItem1(EsParser.TermsFilterFieldItem1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldItem(EsParser.TermsFilterFieldItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldValueString(EsParser.TermsFilterFieldValueStringContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldValueArray(EsParser.TermsFilterFieldValueArrayContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldValueLookup(EsParser.TermsFilterFieldValueLookupContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsFilterFieldNameArray(EsParser.TermsFilterFieldNameArrayContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIndexExpr(EsParser.IndexExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPathExpr(EsParser.PathExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIdExpr(EsParser.IdExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsetFilter(EsParser.TermsetFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsetFilterItem(EsParser.TermsetFilterItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsetFilterTerms(EsParser.TermsetFilterTermsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermTypeFilter(EsParser.TermTypeFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitWildcardFilter(EsParser.WildcardFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafGeoFilter(EsParser.LeafGeoFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoBoundingBoxFilter(EsParser.GeoBoundingBoxFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoBoundingBoxFilterField(EsParser.GeoBoundingBoxFilterFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoDistanceFilter(EsParser.GeoDistanceFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoDistanceFilterField(EsParser.GeoDistanceFilterFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoPolygonFilter(EsParser.GeoPolygonFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoPolygonFilterField(EsParser.GeoPolygonFilterFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoShapeFilter(EsParser.GeoShapeFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoShapeFilterField(EsParser.GeoShapeFilterFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafShapeFilter(EsParser.LeafShapeFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitShapeFilter(EsParser.ShapeFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanQuery(EsParser.SpanQueryContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanFilter(EsParser.SpanFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanNearFilter(EsParser.SpanNearFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanNearFilterClausesPart(EsParser.SpanNearFilterClausesPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanNearFilterClausesPartItem(EsParser.SpanNearFilterClausesPartItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanNotFilter(EsParser.SpanNotFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanNotFilterIncludePart(EsParser.SpanNotFilterIncludePartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanNotFilterExcludePart(EsParser.SpanNotFilterExcludePartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanOrFilter(EsParser.SpanOrFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanOrFilterClausesPart(EsParser.SpanOrFilterClausesPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanTermFilter(EsParser.SpanTermFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanWithinFilter(EsParser.SpanWithinFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanWithinFilterPart(EsParser.SpanWithinFilterPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanContainingFilter(EsParser.SpanContainingFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanContainingFilterPart(EsParser.SpanContainingFilterPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanFiledMaskingFilter(EsParser.SpanFiledMaskingFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanFirstFilter(EsParser.SpanFirstFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanFirstFilterPart(EsParser.SpanFirstFilterPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanMultiFilter(EsParser.SpanMultiFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSpanMultiFilterPart(EsParser.SpanMultiFilterPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitLeafOtherFilter(EsParser.LeafOtherFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDistanceFeatureFilter(EsParser.DistanceFeatureFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMoreLikeThisFilter(EsParser.MoreLikeThisFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPercolateFilter(EsParser.PercolateFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRankFeatureFilter(EsParser.RankFeatureFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitScriptFilter(EsParser.ScriptFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitScriptFilterScriptSimple(EsParser.ScriptFilterScriptSimpleContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitScriptFilterSourceValue(EsParser.ScriptFilterSourceValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitScriptScoreFilter(EsParser.ScriptScoreFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPinnedFilter(EsParser.PinnedFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPinnedFilterOrganic(EsParser.PinnedFilterOrganicContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPinnedFilterDocs(EsParser.PinnedFilterDocsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPinnedFilterDocsItem(EsParser.PinnedFilterDocsItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPinnedFilterIds(EsParser.PinnedFilterIdsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAggs(EsParser.AggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBucketAggs(EsParser.BucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitReindexStatement(EsParser.ReindexStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitReindexStatementBody(EsParser.ReindexStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitReindexStatementSection(EsParser.ReindexStatementSectionContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitReindexStatementSectionIndex(EsParser.ReindexStatementSectionIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermvectorsStatement(EsParser.TermvectorsStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermvectorsStaticStatement(EsParser.TermvectorsStaticStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermvectorsDynamicStatement(EsParser.TermvectorsDynamicStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermvectorsStatementBody(EsParser.TermvectorsStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermvectorsStatementBodyFields(EsParser.TermvectorsStatementBodyFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvecotrsStatement(EsParser.MtermvecotrsStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBody(EsParser.MtermvectorsStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBodyItem(EsParser.MtermvectorsStatementBodyItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBodyFields(EsParser.MtermvectorsStatementBodyFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBodyIndex(EsParser.MtermvectorsStatementBodyIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBodyId(EsParser.MtermvectorsStatementBodyIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBody1(EsParser.MtermvectorsStatementBody1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBody1Item(EsParser.MtermvectorsStatementBody1ItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBody1Ids(EsParser.MtermvectorsStatementBody1IdsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMtermvectorsStatementBody1Fields(EsParser.MtermvectorsStatementBody1FieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateEnrichStatement(EsParser.CreateEnrichStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateEnrichStatementBody(EsParser.CreateEnrichStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateEnrichStatementPolicyTypeIndices(EsParser.CreateEnrichStatementPolicyTypeIndicesContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateEnrichStatementPolicyTypeMatchField(EsParser.CreateEnrichStatementPolicyTypeMatchFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCreateEnrichStatementPolicyTypeEnrichFields(EsParser.CreateEnrichStatementPolicyTypeEnrichFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDeleteEnrichStatement(EsParser.DeleteEnrichStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGetEnrichStatement(EsParser.GetEnrichStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitExecuteEnrichStatement(EsParser.ExecuteEnrichStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitStatsEnrichStatement(EsParser.StatsEnrichStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAutoScalingCreateOrUpdateStatement(EsParser.AutoScalingCreateOrUpdateStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAutoScalingGetStatement(EsParser.AutoScalingGetStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAutoScalingGetPolicyStatement(EsParser.AutoScalingGetPolicyStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAutoScalingDeleteStatement(EsParser.AutoScalingDeleteStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCatStatement(EsParser.CatStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitClusterStatement(EsParser.ClusterStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitClusterClusterReplicationStatement(EsParser.ClusterClusterReplicationStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDataStreamStatement(EsParser.DataStreamStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFeaturesStatement(EsParser.FeaturesStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFleetStatement(EsParser.FleetStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriPrefixExpr(EsParser.UriPrefixExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriAppendixExpr(EsParser.UriAppendixExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatement(EsParser.GraphStatementContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementBody(EsParser.GraphStatementBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementConnections(EsParser.GraphStatementConnectionsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementVertices(EsParser.GraphStatementVerticesContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementVertice(EsParser.GraphStatementVerticeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementVerticeField(EsParser.GraphStatementVerticeFieldContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementVerticeInclude(EsParser.GraphStatementVerticeIncludeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGraphStatementVerticeExclude(EsParser.GraphStatementVerticeExcludeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAdjacencyMatrixAgg(EsParser.AdjacencyMatrixAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAdjacencyMatrixAggPart(EsParser.AdjacencyMatrixAggPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAutoDateHistogramAgg(EsParser.AutoDateHistogramAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCategorizeTextAgg(EsParser.CategorizeTextAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitChildrenAgg(EsParser.ChildrenAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCompositeAgg(EsParser.CompositeAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCompositeAggItem(EsParser.CompositeAggItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDateHistogramAgg(EsParser.DateHistogramAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDateRangeAgg(EsParser.DateRangeAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDiversifiedSamplerAgg(EsParser.DiversifiedSamplerAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterAgg(EsParser.FilterAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFiltersAgg(EsParser.FiltersAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFiltersAggBody(EsParser.FiltersAggBodyContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFiltersAggBodyN(EsParser.FiltersAggBodyNContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFiltersAggBodyNItem(EsParser.FiltersAggBodyNItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoDistanceAgg(EsParser.GeoDistanceAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoHashGridAgg(EsParser.GeoHashGridAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoTileGridAgg(EsParser.GeoTileGridAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitHistogramAgg(EsParser.HistogramAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitIpRangeAgg(EsParser.IpRangeAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMissingAgg(EsParser.MissingAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMultiTermsAgg(EsParser.MultiTermsAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitNestedAgg(EsParser.NestedAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitParentAgg(EsParser.ParentAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRangeAgg(EsParser.RangeAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRangeAggItem(EsParser.RangeAggItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRareTermsAgg(EsParser.RareTermsAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitReverseNestedAgg(EsParser.ReverseNestedAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSamplerAgg(EsParser.SamplerAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSignificantCrimeTypesAgg(EsParser.SignificantCrimeTypesAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSignificantTextAgg(EsParser.SignificantTextAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSignificantTermsAgg(EsParser.SignificantTermsAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAggBackgroundFilter(EsParser.AggBackgroundFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTermsAgg(EsParser.TermsAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitVariableWidthHistogramAgg(EsParser.VariableWidthHistogramAggContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMetricsAggs(EsParser.MetricsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAvgAggs(EsParser.AvgAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBoxplotAggs(EsParser.BoxplotAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCardinalityAggs(EsParser.CardinalityAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitExtendedStatsAggs(EsParser.ExtendedStatsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoBoundsAggs(EsParser.GeoBoundsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoCentroidAggs(EsParser.GeoCentroidAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGeoLineAggs(EsParser.GeoLineAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMatrixStatsAggs(EsParser.MatrixStatsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMatrixStatsAggsPart(EsParser.MatrixStatsAggsPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMaxAggs(EsParser.MaxAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMedianAbsoluteDeviationAggs(EsParser.MedianAbsoluteDeviationAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMinAggs(EsParser.MinAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPercentileRanksAggs(EsParser.PercentileRanksAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPercentilesAggs(EsParser.PercentilesAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRateAggs(EsParser.RateAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitRateAggsItem(EsParser.RateAggsItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitScriptedMetricAggs(EsParser.ScriptedMetricAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitStatsAggs(EsParser.StatsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitStringStatsAggs(EsParser.StringStatsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSumAggs(EsParser.SumAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTTestAggs(EsParser.TTestAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTTestAggsItem(EsParser.TTestAggsItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopHitsAggs(EsParser.TopHitsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopMetricsAggs(EsParser.TopMetricsAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopMetricsAggsItem(EsParser.TopMetricsAggsItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopMetricsAggSort(EsParser.TopMetricsAggSortContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopMetricsAggsMetrics(EsParser.TopMetricsAggsMetricsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopMetricsAggsMetricsItems(EsParser.TopMetricsAggsMetricsItemsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTopMetricsAggsMetricsItem(EsParser.TopMetricsAggsMetricsItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitTypesCountAggs(EsParser.TypesCountAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitWeightedAvgAggs(EsParser.WeightedAvgAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitWeightedAvgAggsItem(EsParser.WeightedAvgAggsItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitWeightedAvgAggsItemValue(EsParser.WeightedAvgAggsItemValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitWeightedAvgAggsItemWeight(EsParser.WeightedAvgAggsItemWeightContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitValueCountAggs(EsParser.ValueCountAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPipeLineAggs(EsParser.PipeLineAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAverageBucketAggs(EsParser.AverageBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBucketScriptAggs(EsParser.BucketScriptAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBucketCountKsTestAggs(EsParser.BucketCountKsTestAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBucketCorreationAggs(EsParser.BucketCorreationAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBucketSelectorAggs(EsParser.BucketSelectorAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBucketSortAggs(EsParser.BucketSortAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCumulativeCardinalityAggs(EsParser.CumulativeCardinalityAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitCumulativeSumAggs(EsParser.CumulativeSumAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDerivativeAggs(EsParser.DerivativeAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitExtendedStatsBucketAggs(EsParser.ExtendedStatsBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMaxBucketAggs(EsParser.MaxBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMinBucketAggs(EsParser.MinBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMovingAvgAggs(EsParser.MovingAvgAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMovingFnAggs(EsParser.MovingFnAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMovingPercentilesAggs(EsParser.MovingPercentilesAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitNormalizeAggs(EsParser.NormalizeAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPercentilesBucketAggs(EsParser.PercentilesBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSerialDiffAggs(EsParser.SerialDiffAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitStatsBucketAggs(EsParser.StatsBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSumBucketAggs(EsParser.SumBucketAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitInferenceAggs(EsParser.InferenceAggsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitAggCommonPart(EsParser.AggCommonPartContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldFilter(EsParser.FieldFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldSimpleFilter(EsParser.FieldSimpleFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldExactFilter(EsParser.FieldExactFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldQueryFilter(EsParser.FieldQueryFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldValueFilter(EsParser.FieldValueFilterContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFilterQueryFieldValue(EsParser.FilterQueryFieldValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldsNamesExpr(EsParser.FieldsNamesExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldValueExpr(EsParser.FieldValueExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldValueExpr1(EsParser.FieldValueExpr1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitQueryExpr(EsParser.QueryExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitValueExpr(EsParser.ValueExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldNameExpr(EsParser.FieldNameExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitOperatorExpr(EsParser.OperatorExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitDefaultExpr(EsParser.DefaultExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSourceFieldsExpr(EsParser.SourceFieldsExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSortExpr(EsParser.SortExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSortItems(EsParser.SortItemsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSortItem(EsParser.SortItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSortExprOptions(EsParser.SortExprOptionsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitScriptExpr(EsParser.ScriptExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldLikeExpr(EsParser.FieldLikeExprContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldLikeExprN(EsParser.FieldLikeExprNContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldLikeExpr1(EsParser.FieldLikeExpr1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldLikeExprValue(EsParser.FieldLikeExprValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldLikeExprValueObj(EsParser.FieldLikeExprValueObjContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldLikeExprValueSimple(EsParser.FieldLikeExprValueSimpleContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldDocuments(EsParser.FieldDocumentsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldDocument(EsParser.FieldDocumentContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldDocumentValue(EsParser.FieldDocumentValueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldIndex1(EsParser.FieldIndex1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldId1(EsParser.FieldId1Context ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldIndex(EsParser.FieldIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitFieldId(EsParser.FieldIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPairs(EsParser.PairsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriSeg(EsParser.UriSegContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriSegIndex(EsParser.UriSegIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriIndexAtom(EsParser.UriIndexAtomContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitString(EsParser.StringContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMappingString(EsParser.MappingStringContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitObj(EsParser.ObjContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitPair(EsParser.PairContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitStringArr(EsParser.StringArrContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitArr(EsParser.ArrContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitBool(EsParser.BoolContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitJvalue(EsParser.JvalueContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriFragments(EsParser.UriFragmentsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriFragmentSegments(EsParser.UriFragmentSegmentsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitUriFragmentSegment(EsParser.UriFragmentSegmentContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMappingResponse(EsParser.MappingResponseContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitMappingResponseMapping(EsParser.MappingResponseMappingContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponse(EsParser.SearchResponseContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseItem(EsParser.SearchResponseItemContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseItemHits(EsParser.SearchResponseItemHitsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseItemAgregations(EsParser.SearchResponseItemAgregationsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHits(EsParser.SearchResponseHitsHitsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHitsMemo(EsParser.SearchResponseHitsHitsMemoContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHitsIndex(EsParser.SearchResponseHitsHitsIndexContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHitsType(EsParser.SearchResponseHitsHitsTypeContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHitsSource(EsParser.SearchResponseHitsHitsSourceContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHitsId(EsParser.SearchResponseHitsHitsIdContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitSearchResponseHitsHitsFields(EsParser.SearchResponseHitsHitsFieldsContext ctx) {
      return (T)this.visitChildren(ctx);
   }

   public T visitGetResponse(EsParser.GetResponseContext ctx) {
      return (T)this.visitChildren(ctx);
   }
}
